Phones

Order Phone Number

POST
/v1/Phones

Places the order to buy the Phone Number from the list of available numbers. Optionally, associates Phone Number with the specified Messaging Config after order completion.

AuthorizationBasic <token>

Basic Authorization header using the BASIC scheme. Use a pair companySid:token to access the API.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Order Phone.

Response Body

curl -X POST "https://example.com/v1/Phones" \  -H "Content-Type: application/json" \  -d '{    "messagingConfigSid": "MCf4f1e0ccde19431ebde74a9f2996afa0",    "name": "My First Phone"  }'
{  "createdOn": "2023-09-09T15:00:00.000Z",  "number": "+12345678900",  "name": "My First Phone",  "messagingConfigSid": "MCf4f1e0ccde19431ebde74a9f2996afa0",  "status": "Active",  "voiceStatus": "OffPlatform"}
{  "errors": {    "Name": [      "The Name field is required."    ]  },  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",  "title": "One or more validation errors occurred.",  "status": 400,  "detail": "Some detailed message",  "traceId": "|4ef17786-b103-420e-89c0-cc425ac14809.edfcbee9_"}
{  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",  "title": "Error title",  "detail": "Error detailed message",  "traceId": "|4ef17786-b103-420e-89c0-cc425ac14809.edfcbee9_"}
{  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",  "title": "Error title",  "detail": "Error detailed message",  "traceId": "|4ef17786-b103-420e-89c0-cc425ac14809.edfcbee9_"}